C API Functions

## udbKindShortname

### Description

Return the shortname associated with the specified kind. Return NULL if an invalid kind is specified. The returned name is Static, Non-Allocated.

The shortname is an informal name for the kind. In contrast, the longname is the fullname of the kind.

### Syntax

     #include "udb/udb.h"
     char *udbKindShortname(UdbKind)

### Arguments

Argument | description
UdbKind kind | Specify the kind

### Return Values

Return Value | description
char * | The shortame associated with the specified kind. The returned name is Static, Non-Allocated.

### Example Usage

     printf("%s\n", udbKindShortname(udbEntityKind(entity)));

### See Also

udbEntityKind to get the kind of a specified entity.

udbKindLongname to get the official fullname of the specified kind.

udbReferenceKind to get the kind of a specified reference.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com